# Uses of Interface
alt.javax.mail.Transport

Packages that use Transport
Package
Description
alt.javax.mail
com.mockobjects.mail

## Uses of Transport in alt.javax.mail

Classes in alt.javax.mail that implement Transport
Modifier and Type
Class
Description
`class`
`TransportImpl`
Methods in alt.javax.mail that return Transport
Modifier and Type
Method
Description
`Transport`
Session.`getTransport()`
`Transport`
Session.`getTransport(Address address)`
`Transport`
Session.`getTransport(String protocol)`
`Transport`
Session.`getTransport(Provider provider)`
`Transport`
Session.`getTransport(URLName url)`
`Transport`
SessionImpl.`getTransport()`
`Transport`
SessionImpl.`getTransport(Address address)`
`Transport`
SessionImpl.`getTransport(String protocol)`
`Transport`
SessionImpl.`getTransport(Provider provider)`
`Transport`
SessionImpl.`getTransport(URLName url)`

## Uses of Transport in com.mockobjects.mail

Classes in com.mockobjects.mail that implement Transport
Modifier and Type
Class
Description
`class`
`MockTransport`
Methods in com.mockobjects.mail that return Transport
Modifier and Type
Method
Description
`Transport`
MockSession.`getTransport()`
`Transport`
MockSession.`getTransport(Address address)`
`Transport`
MockSession.`getTransport(String aTransportName)`
`Transport`
MockSession.`getTransport(Provider provider)`
`Transport`
MockSession.`getTransport(URLName url)`
Methods in com.mockobjects.mail with parameters of type Transport
Modifier and Type
Method
Description
`void`
MockSession.`setupGetTransport(Transport aTransport)`